<?php /* Template name: Institucional */ ?>
<?php get_header(); ?>
	<?php get_template_part('template-parts/page-header'); ?>
	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">
			<div class="section no-padding-bottom">
				<div class="container">
					<div class="row">
						<div class="col-md-5 col-xs-12">
							<?php the_post_thumbnail('full', array('class' => 'page-main-thumb')); ?>
						</div>

						<div class="col-md-7 col-xs-12">
							<h2 class="subtitle"><span><?php the_title(); ?></span></h2>
							<?php if (get_the_content()): ?>
								<div class="content"><?php the_content(); ?></div>
							<?php endif ?>
						</div>
					</div>
				</div>

				<?php $conteudo_adicional = get_field('conteudo_adicional'); ?>
				<?php if ($conteudo_adicional): ?>
					<div class="section section-small">
						<div class="container">
							<div class="row">
								<?php foreach ($conteudo_adicional as $conteudo): ?>
									<div class="col-sm-4 col-xs-12">
										<h2 class="subtitle"><span><?php echo $conteudo['titulo'] ?></span></h2>
										<div class="content"><?php echo $conteudo['descricao'] ?></div>
									</div>	
								<?php endforeach ?>
							</div>
						</div>
					</div>
				<?php endif ?>


				<?php $certificados = get_field('certificados'); ?>
				<?php if ($certificados): ?>
					<div class="section section-small">
						<div class="container">
							<div class="row">
								<?php foreach ($certificados as $certificado): ?>
									<div class="col-xs-12"><h2 class="subtitle"><span><?php echo $certificado['titulo'] ?></span></h2></div>

									<?php if ($certificado['imagem']): ?>
										<div class="col-md-3 col-sm-4 col-xs-12"><img src="<?php echo $certificado['imagem'] ?>" alt=""></div>
									<?php endif ?>

									<div class="col-md-9 col-sm-8 col-xs-12">
										<div class="content"><?php echo $certificado['descricao'] ?></div>
									</div>	
								<?php endforeach ?>
							</div>
						</div>
					</div>
				<?php endif ?>

				<?php $socios = get_field('socios'); ?>
				<?php if ($socios): ?>
					<div class="section section-small">
						<div class="container">
							<div class="row">
								<div class="col-xs-12"><h2 class="subtitle"><span>Sócios</span></h2></div>
							</div>

							<?php foreach ($socios as $socio): ?>
								<div class="row box-socio">
									<?php if ($socio['imagem']): ?>
										<div class="col-md-3 col-sm-4 col-xs-12">
											<a href="<?php echo $socio['linkedin'] ?>" target="_blank"><img class="imagem-socio" src="<?php echo $socio['imagem'] ?>" alt=""></a>
										</div>
									<?php endif ?>

									<div class="col-md-9 col-sm-8 col-xs-12">
										<div class="nome-socio"><?php echo $socio['titulo'] ?></div>
										<div class="cargo-socio"><?php echo $socio['cargo'] ?></div>
										<a href="<?php echo $socio['linkedin'] ?>" target="_blank"><img src="<?php echo get_template_directory_uri(); ?>/img/linkedin.png" alt=""></a>
										<div class="content"><?php echo $socio['descricao'] ?></div>
									</div>	
								</div>
							<?php endforeach ?>
						</div>
					</div>
				<?php endif ?>
			</div>

			<?php get_template_part('template-parts/cta-contato', 'fale') ?>
		</main>
	</div>
	
<?php get_footer(); ?>