<?php
header('Content-Type: application/json');
require("mailchimp/vendor/autoload.php");

class Notify {

  private $API_KEY = "557b7a1cd822f66735a3a71f305e3859-us3";
  private $referer = "http://www.verscontabilidade.com.br";
  public $fields = array(
    'nome' => null,
    'sobrenome' => null,
    'telefone' => null,
    'mensagem' => null,
    'email' => null,
    'tipo' => null,
    'back' => null,
    'area' => null,
    'empresa' => null,
    'num_func' => null,
    'slug' => null
  );

  public $MailChimp;

  public $tipo;

  public $back;

  private $keys = array();

  private $currentList;

  public function __construct($fields) {

    if(empty($fields)) {
      throw new Exception('Nenhum parametro encontrado');
    }

    $this->MailChimp = new \Drewm\MailChimp($this->API_KEY);

    $this->setFields($fields);

    $this->buildLists();


    $this->currentList = $this->lists[$this->tipo];
  }

  private function buildLists() {
    return $this->lists = array(
      /**
      * Lista Contato
      */
      'contato' => array(
        'id' => '06f21ac12a',
        'fields' => array(
          'NOME' => $this->fields['nome'],
          'MENSAGEM' => $this->fields['mensagem']
        )
      ),
      /**
      * Lista Orçamento
      */
      'orcamento' => array(
        'id' => '06f21ac12a',
        'fields' => array(
          'NOME' => $this->fields['nome'],
          'TELEFONE' => $this->fields['telefone'],
          'EMPRESA' =>  $this->fields['empresa'],
          'NUMFUNC' => $this->fields['num_func'],
          'MENSAGEM' => $this->fields['mensagem']
        )
      ),
      /**
      * Lista Abertura de empresa
      */
      'abertura_empresa' => array(
        'id' => '06f21ac12a',
        'fields' => array(
          'NOME'=> $this->fields['nome'],
          'TELEFONE'=>$this->fields['telefone'],
          'AREA_DE_AT'=>$this->fields['area']
        )
      ),
      /**
      * Lista imposto de renda
      */
      'imposto_de_renda' => array(
        'id' => '06f21ac12a',
        'fields' => array(
          'NOME'=> $this->fields['nome'],
          'TELEFONE'=>$this->fields['telefone'],
          'AREA_DE_AT'=>$this->fields['area']
        )
      ),
      /**
      * Lista Ebook
      */
      'ebook' => array(
        'id' => '06f21ac12a',
        'fields' => array(
          'EBOOK' => $this->fields['slug']
        )
      ),
      /**
      * Lista Newsletter
      */
      'blog-topo' => array(
        'id' => '06f21ac12a',
        'fields' => array()
      ),
      'blog-sidebar' => array(
        'id' => '06f21ac12a',
        'fields' => array()
      ),
      'blog-post' => array(
        'id' => '06f21ac12a',
        'fields' => array()
      ),
      'popup-blog' => array(
        'id' => '06f21ac12a',
        'fields' => array()
      ),
      'popup-home' => array(
        'id' => '06f21ac12a',
        'fields' => array()
      )
    );
  }

  private function validateEmail($email) {
    if(empty($email) || !filter_var($email, FILTER_VALIDATE_EMAIL)){
      throw new Exception("Email inválido.");
    }
  }

  private function setFields($data) {


    foreach($data as $i => $d) {
      $this->fields[$i] = $d;

      if($i == "email") {
        $this->validateEmail($d);
      }

      if($i == "tipo") {
        $this->tipo = $d;
      }

      if($i == "back") {
        $this->back = $d;
      }
    }

    //sort($this->fields);

    if(empty($this->tipo)) {
      throw new Exception('Favor informar o tipo de envio');
    }
  }

  public function sendToMailChimp(){
    $result = $this->MailChimp->call('lists/subscribe', array(
      'id'                => $this->currentList['id'],
      'email'             => array('email'=> $this->fields['email']),
      'merge_vars'        => $this->currentList['fields'],
      'double_optin'      => false,
      'update_existing'   => true,
      'replace_interests' => false,
      'send_welcome'      => false,
    ));

    return $result;
  }

  public function sendToEnviarFormularios() {
    $url = "http://enviarformularios.com.br/send";

    $has_msg = false;

    foreach($this->fields as $key=>$value) {

      if(!in_array($key, array('back','tipo')) && !empty($value)){
        if($key != 'mensagem'){
            $fields_string .= $key.'='.$value.'&';
        } else {
          $has_msg = $value;
        }
      }
    }

    # Coloca o campo mensagem por ultimo
    if($has_msg) {
      $fields_string .= 'mensagem=' . $has_msg;
    }

    rtrim($fields_string,'&');

    $ch = curl_init();

    curl_setopt($ch,CURLOPT_URL,$url);
    curl_setopt($ch,CURLOPT_POST,count($fields));
    curl_setopt($ch,CURLOPT_POSTFIELDS,$fields_string);
    curl_setopt($ch,CURLOPT_AUTOREFERER,true);
    curl_setopt($ch,CURLOPT_RETURNTRANSFER,1);
    curl_setopt($ch,CURLOPT_REFERER, $this->referer);
    //execute post
    $result = curl_exec($ch);

    return true;
  }
}


if($_POST){

  try{
    $notificacao = new Notify($_POST);

    $result = $notificacao->sendToMailChimp();

    if(in_array($notificacao->tipo, array(
      'contato','orcamento','imposto_de_renda','abertura_empresa'))) {
      $notificacao->sendToEnviarFormularios();
    }

    # Resposta de sucesso
    $response = array(
      'status' => 'success',
      'back' => $notificacao->back,
      'message' => $result
    );
  } catch (Exception $e) {
    $response = array(
      'status' => 'error',
      'message' => $e->getMessage()
    );
  }

  echo json_encode($response);
}
?>
